Arch Plan de section

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch SectionPlane and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語
Arrow-left.svg Page précédente: Arch Window.svg Fenêtre
Page suivante: Axes Arch CompAxis.png Arrow-right.svg

Arch SectionPlane.svg Arch Plan de section

Emplacement du menu
Arch → Plan de section
Ateliers
Arch
Raccourci par défaut
S P
Introduit dans la version
-
Voir aussi
Draft Vue 2D d'une forme, TechDraw Vue Arch

Description

Cet outil place dans le document courant une "chose" qui définit un plan de section ou de vue. La "chose" est placée en fonction du Draft plan de travail en cours et peut être déplacée et réorientée en la déplaçant et en la faisant tourner, jusqu'à ce qu'elle décrive la vue 2D que vous souhaitez obtenir. L'objet Plan de section ne tiendra compte que d'un certain ensemble d'objets. Les objets sélectionnés lorsque vous créez un plan de coupe seront automatiquement ajoutés à cet ensemble. D'autres objets peuvent être ajoutés ou retirés ultérieurement d'un objet Plan de coupe à l'aide des outils Arch Ajouter et Arch Soustraire ou en double-cliquant sur le Plan de coupe dans l'arborescence.

Le Plan de section seul ne permet pas de créer une vue de son ensemble d'objets. Pour cela, vous devez créer une TechDraw Vue Arch pour créer une vue dans une page TechDraw.

Arch SectionPlane example.jpg

Utilisation

  1. Optionnellement activez Draft Plan de travail pour représenter le plan que vous voulez placer dans Section Plane.
  2. Sélectionnez l'objet ou les objets à inclure dans le plan.
  3. Appuyez sur le bouton Arch SectionPlane.svg Arch Crée un plan de coupe... ou pressez les touches S puis P.
  4. Utilisez les touches Draft Déplacez/Draft Pivotez pour placer le plan dans sa position correcte.
  5. Sélectionnez le plan s'il n'est pas sélectionné.
  6. Utilisez les fonctions Drawing DraftView, Draft Vue 2D d'une forme ou TechDraw Vue Arch pour créer une vue.

Options

  • L'objet Section Plane ne prendra qu'un certain nombre d'objets, pas tous les objets du document. Les objets peuvent être ajoutés ou supprimés à partir d'un objet SectionPlane en utilisant les outils Arch Ajouter et Arch Soustraire, en double-cliquant sur le Section Plane dans la vue 3D, ou en sélectionnant des objets dans l'arborescence de la vue combinée, puis appuyez sur les boutons Ajouter ou Supprimer.
  • Après avoir sélectionné un plan de coupe, utilisez l'outil de Draft Vue 2D d'une forme pour créer un objet shape qui représente l'affichage du plan de coupe dans le document

Arch Section

Arch Section example3.jpg

  • Le plan de coupe peut également être utilisé pour afficher toute la vue 3D coupée par un plan infini. Ceci est seulement visuel, et n'affectera pas la géométrie des objets coupés.

Arch SectionPlane CutView.jpg

Propriétés

  • DonnéesOnly Solids: S'il est activé, les objets non solides comppris dans l'ensemble ne seront pas pris en charge
  • VueDisplay Length: Donne la longueur du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VueDisplay Height: Donne hauteur du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VueArrow Size: Donne la dimension des flèches du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VueCut View: S'il est activé true, toute la vue 3D sera coupée à l'emplacement du Section Plane.
  • VueClip view: S'il est activé true, il coupera la vue à la hauteur et à la longueur de l'affichage du plan de coupe. Cela transforme effectivement le plan de coupe en une caméra orthographique, limitant le champ de vision.Introduit dans la version 0.19

Arch SectionPlane ClipView.png

Le plan de coupe Arch avec l'option de vue Clip se comportera comme une caméra, limitant le champ de vision de la vue.

Ajustements

  • Ajout manuel d'une propriété nommée RotateSolidRender de type App::PropertyAngle aux propriétés 'View' du plan de coupe (cliquez avec le bouton droit sur la vue des propriétés -> tout afficher, clic droit de nouveau -> ajouter une propriété) permet de faire pivoter le rendu lors de l'utilisation du mode Solide. Ceci est utile lorsqu'une vue rendue comporte, par exemple, des éléments Arch et Draft, et que le rendu des éléments Arch pivote par rapport aux éléments Draft. Introduit dans la version 0.19

Script

Voir aussi: API et Débuter avec les scripts.

L'outil plan de coupe peut servir dans une macro et à partir de la console Python en utilisant la fonction suivante :

Section = makeSectionPlane(objectslist=None, name="Section")
  • Crée un objet Section à partir de objectlist qui est une liste d'objets.

Exemple :

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Window.svg Fenêtre
Page suivante: Axes Arch CompAxis.png Arrow-right.svg